# RouterTransparentRule Class Reference

Inheritance diagram for RouterTransparentRule:
[legend]

List of all members.

## Public Member Functions

| __construct ($route)
| setRequirements (array $reqirements)
| getRequirements ()
| match (HttpRequest $request)
| Matches a user submitted path with parts defined by a map.
| assembly (array $data=array(), $reset=false, $encode=false)
| Assembles user submitted parameters forming a URL path defined by this route.

## Static Public Member Functions

static | create ($route)

## Protected Member Functions

| processRoute ()

## Protected Attributes

| $urlVariable = ':'
| $urlDelimiter = '/'
| $regexDelimiter = '#'
| $defaultRegex = null
| $route = null
| $routeProcessed = false
| $variables = array()
| $parts = array()
| $requirements = array()
| $values = array()
| $wildcardData = array()
| $staticCount = 0

## Detailed Description

Definition at line 12 of file RouterTransparentRule.class.php.

## Constructor & Destructor Documentation

RouterTransparentRule::__construct | ( | $ | route | ) |

Definition at line 37 of file RouterTransparentRule.class.php.

References $route.

## Member Function Documentation

RouterTransparentRule::assembly | ( | array $ | data = `array()`,
|  | $ | reset = `false`,
|  | $ | encode = `false` |
| ) |  |  |

Assembles user submitted parameters forming a URL path defined by this route.

Parameters:

  | array | $data An array of variable and value pairs used as parameters.
  | boolean | $reset Whether or not to set route defaults with those provided in $data.

Returns:
  string Route path with user submitted parameters.

Implements RouterRule.

Definition at line 156 of file RouterTransparentRule.class.php.

References RouterBaseRule::getDefault(), and processRoute().

Here is the call graph for this function:

static RouterTransparentRule::create | ( | $ | route | ) | `[static]`

Returns:
  RouterTransparentRule

Definition at line 32 of file RouterTransparentRule.class.php.

References $route.

RouterTransparentRule::getRequirements | ( |  | ) |

Definition at line 52 of file RouterTransparentRule.class.php.

RouterTransparentRule::match | ( | HttpRequest $ | request | ) |

Matches a user submitted path with parts defined by a map.

Assigns and returns an array of variables on a successful match.

Returns:
  array An array of assigned values or empty array() on a mismatch

Implements RouterRule.

Definition at line 57 of file RouterTransparentRule.class.php.

References $values, RouterBaseRule::processPath(), and processRoute().

Here is the call graph for this function:

RouterTransparentRule::processRoute | ( |  | ) | `[protected]`

Returns:
  RouterTransparentRule

Definition at line 258 of file RouterTransparentRule.class.php.

Referenced by assembly(), and match().

RouterTransparentRule::setRequirements | ( | array $ | reqirements | ) |

Returns:
  RouterTransparentRule

Definition at line 45 of file RouterTransparentRule.class.php.

## Member Data Documentation

RouterTransparentRule::$defaultRegex = null`[protected]`

Definition at line 18 of file RouterTransparentRule.class.php.

RouterTransparentRule::$parts = array()`[protected]`

Definition at line 22 of file RouterTransparentRule.class.php.

RouterTransparentRule::$regexDelimiter = '#'`[protected]`

Definition at line 16 of file RouterTransparentRule.class.php.

RouterTransparentRule::$requirements = array()`[protected]`

Definition at line 23 of file RouterTransparentRule.class.php.

RouterTransparentRule::$route = null`[protected]`

Definition at line 19 of file RouterTransparentRule.class.php.

Referenced by __construct(), and create().

RouterTransparentRule::$routeProcessed = false`[protected]`

Definition at line 20 of file RouterTransparentRule.class.php.

RouterTransparentRule::$staticCount = 0`[protected]`

Definition at line 27 of file RouterTransparentRule.class.php.

RouterTransparentRule::$urlDelimiter = '/'`[protected]`

Definition at line 15 of file RouterTransparentRule.class.php.

RouterTransparentRule::$urlVariable = ':'`[protected]`

Definition at line 14 of file RouterTransparentRule.class.php.

RouterTransparentRule::$values = array()`[protected]`

Definition at line 24 of file RouterTransparentRule.class.php.

Referenced by match().

RouterTransparentRule::$variables = array()`[protected]`

Definition at line 21 of file RouterTransparentRule.class.php.

RouterTransparentRule::$wildcardData = array()`[protected]`

Definition at line 25 of file RouterTransparentRule.class.php.

The documentation for this class was generated from the following file:

- main/Utils/Routers/RouterTransparentRule.class.php